/**
 * SECTION:DockRenderer
 * @short_description: Handles all of the drawing for a dock.
 */
/**
 * PLANK_TYPE_DOCK_RENDERER:
 * 
 * The type for <link linkend="PlankDockRenderer"><type>PlankDockRenderer</type></link>.
 */
/**
 * plank_dock_renderer_get_hide_progress:
 * @self: the <link linkend="PlankDockRenderer"><type>PlankDockRenderer</type></link> instance
 * 
 * Returns the current progress of the hide-animation of the dock.
 * 
 * Returns: the hide-animation progress [0.0..1.0] 
 */
/**
 * plank_dock_renderer_initialize:
 * @self: the <link linkend="PlankDockRenderer"><type>PlankDockRenderer</type></link> instance
 * 
 * Initializes the renderer. Call after the DockWindow is constructed.
 */
/**
 * plank_dock_renderer_reset_buffers:
 * @self: the <link linkend="PlankDockRenderer"><type>PlankDockRenderer</type></link> instance
 * 
 * Resets all internal buffers and forces a redraw.
 */
/**
 * plank_dock_renderer_draw_dock:
 * @self: the <link linkend="PlankDockRenderer"><type>PlankDockRenderer</type></link> instance
 * @cr: (in): &nbsp;.  the context to use for drawing 
 * 
 * Draws the dock onto a context.
 */
/**
 * plank_dock_renderer_new:
 * @controller: (in): &nbsp;.  the dock controller to manage drawing for 
 * 
 * Create a new dock renderer for a dock.
 */
/**
 * PlankDockRenderer:controller:
 */
/**
 * plank_dock_renderer_set_controller:
 * @self: the <link linkend="PlankDockRenderer"><type>PlankDockRenderer</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankDockRenderer--controller"><type>"controller"</type></link> property
 * 
 * Set the value of the <link linkend="PlankDockRenderer--controller"><type>"controller"</type></link> property to @value.
 * 
 * 
 */
/**
 * PlankDockRenderer:
 * 
 * Handles all of the drawing for a dock.
 */
/**
 * PlankDockRendererClass:
 * @parent_class: the parent class structure
 * 
 * The class structure for <link linkend="PLANK-TYPE-DOCK-RENDERER:CAPS"><literal>PLANK_TYPE_DOCK_RENDERER</literal></link>. All the fields in this structure are private and should never be accessed directly.
 */
