/**
 * SECTION:Paths
 * @short_description: A wrapper class that gives static instances of <link linkend="GFile"><type>GFile</type></link> for commonly used paths. Most paths are retrieved from GLib.Environment, which on Linux uses the XDG Base Directory specification (see <ulink url="http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html"></ulink>).
 * 
 * <para>Initializing this class also ensures any writable directories exist.</para>
 */
/**
 * PLANK_SERVICES_TYPE_PATHS:
 * 
 * The type for <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link>.
 */
/**
 * PlankServicesPaths:HomeFolder:
 * 
 * User&apos;s home folder - $HOME
 */
/**
 * plank_services_paths_get_HomeFolder:
 * @self: the <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankServicesPaths--HomeFolder"><type>"HomeFolder"</type></link> property.
 * 
 * User&apos;s home folder - $HOME
 * 
 * Returns: the value of the <link linkend="PlankServicesPaths--HomeFolder"><type>"HomeFolder"</type></link> property
 */
/**
 * plank_services_paths_set_HomeFolder:
 * @self: the <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankServicesPaths--HomeFolder"><type>"HomeFolder"</type></link> property
 * 
 * Set the value of the <link linkend="PlankServicesPaths--HomeFolder"><type>"HomeFolder"</type></link> property to @value.
 * 
 * User&apos;s home folder - $HOME
 */
/**
 * PlankServicesPaths:DataFolder:
 * 
 * Path passed in to initialize method should be Build.PKGDATADIR
 */
/**
 * plank_services_paths_get_DataFolder:
 * @self: the <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankServicesPaths--DataFolder"><type>"DataFolder"</type></link> property.
 * 
 * Path passed in to initialize method should be Build.PKGDATADIR
 * 
 * Returns: the value of the <link linkend="PlankServicesPaths--DataFolder"><type>"DataFolder"</type></link> property
 */
/**
 * plank_services_paths_set_DataFolder:
 * @self: the <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankServicesPaths--DataFolder"><type>"DataFolder"</type></link> property
 * 
 * Set the value of the <link linkend="PlankServicesPaths--DataFolder"><type>"DataFolder"</type></link> property to @value.
 * 
 * Path passed in to initialize method should be Build.PKGDATADIR
 */
/**
 * PlankServicesPaths:ThemeFolder:
 * 
 * DataFolder/themes
 */
/**
 * plank_services_paths_get_ThemeFolder:
 * @self: the <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankServicesPaths--ThemeFolder"><type>"ThemeFolder"</type></link> property.
 * 
 * DataFolder/themes
 * 
 * Returns: the value of the <link linkend="PlankServicesPaths--ThemeFolder"><type>"ThemeFolder"</type></link> property
 */
/**
 * plank_services_paths_set_ThemeFolder:
 * @self: the <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankServicesPaths--ThemeFolder"><type>"ThemeFolder"</type></link> property
 * 
 * Set the value of the <link linkend="PlankServicesPaths--ThemeFolder"><type>"ThemeFolder"</type></link> property to @value.
 * 
 * DataFolder/themes
 */
/**
 * PlankServicesPaths:ConfigHomeFolder:
 * 
 * HomeFolder/.config
 */
/**
 * plank_services_paths_get_ConfigHomeFolder:
 * @self: the <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankServicesPaths--ConfigHomeFolder"><type>"ConfigHomeFolder"</type></link> property.
 * 
 * HomeFolder/.config
 * 
 * Returns: the value of the <link linkend="PlankServicesPaths--ConfigHomeFolder"><type>"ConfigHomeFolder"</type></link> property
 */
/**
 * plank_services_paths_set_ConfigHomeFolder:
 * @self: the <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankServicesPaths--ConfigHomeFolder"><type>"ConfigHomeFolder"</type></link> property
 * 
 * Set the value of the <link linkend="PlankServicesPaths--ConfigHomeFolder"><type>"ConfigHomeFolder"</type></link> property to @value.
 * 
 * HomeFolder/.config
 */
/**
 * PlankServicesPaths:DataHomeFolder:
 * 
 * HomeFolder/.local/share
 */
/**
 * plank_services_paths_get_DataHomeFolder:
 * @self: the <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankServicesPaths--DataHomeFolder"><type>"DataHomeFolder"</type></link> property.
 * 
 * HomeFolder/.local/share
 * 
 * Returns: the value of the <link linkend="PlankServicesPaths--DataHomeFolder"><type>"DataHomeFolder"</type></link> property
 */
/**
 * plank_services_paths_set_DataHomeFolder:
 * @self: the <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankServicesPaths--DataHomeFolder"><type>"DataHomeFolder"</type></link> property
 * 
 * Set the value of the <link linkend="PlankServicesPaths--DataHomeFolder"><type>"DataHomeFolder"</type></link> property to @value.
 * 
 * HomeFolder/.local/share
 */
/**
 * PlankServicesPaths:CacheHomeFolder:
 * 
 * HomeFolder/.cache
 */
/**
 * plank_services_paths_get_CacheHomeFolder:
 * @self: the <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankServicesPaths--CacheHomeFolder"><type>"CacheHomeFolder"</type></link> property.
 * 
 * HomeFolder/.cache
 * 
 * Returns: the value of the <link linkend="PlankServicesPaths--CacheHomeFolder"><type>"CacheHomeFolder"</type></link> property
 */
/**
 * plank_services_paths_set_CacheHomeFolder:
 * @self: the <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankServicesPaths--CacheHomeFolder"><type>"CacheHomeFolder"</type></link> property
 * 
 * Set the value of the <link linkend="PlankServicesPaths--CacheHomeFolder"><type>"CacheHomeFolder"</type></link> property to @value.
 * 
 * HomeFolder/.cache
 */
/**
 * PlankServicesPaths:DataDirFolders:
 * 
 * /usr/local/share/:/usr/share/
 */
/**
 * plank_services_paths_get_DataDirFolders:
 * @self: the <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankServicesPaths--DataDirFolders"><type>"DataDirFolders"</type></link> property.
 * 
 * /usr/local/share/:/usr/share/
 * 
 * Returns: the value of the <link linkend="PlankServicesPaths--DataDirFolders"><type>"DataDirFolders"</type></link> property
 */
/**
 * plank_services_paths_set_DataDirFolders:
 * @self: the <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankServicesPaths--DataDirFolders"><type>"DataDirFolders"</type></link> property
 * 
 * Set the value of the <link linkend="PlankServicesPaths--DataDirFolders"><type>"DataDirFolders"</type></link> property to @value.
 * 
 * /usr/local/share/:/usr/share/
 */
/**
 * PlankServicesPaths:AppConfigFolder:
 * 
 * defaults to ConfigHomeFolder/app_name
 */
/**
 * plank_services_paths_get_AppConfigFolder:
 * @self: the <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankServicesPaths--AppConfigFolder"><type>"AppConfigFolder"</type></link> property.
 * 
 * defaults to ConfigHomeFolder/app_name
 * 
 * Returns: the value of the <link linkend="PlankServicesPaths--AppConfigFolder"><type>"AppConfigFolder"</type></link> property
 */
/**
 * plank_services_paths_set_AppConfigFolder:
 * @self: the <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankServicesPaths--AppConfigFolder"><type>"AppConfigFolder"</type></link> property
 * 
 * Set the value of the <link linkend="PlankServicesPaths--AppConfigFolder"><type>"AppConfigFolder"</type></link> property to @value.
 * 
 * defaults to ConfigHomeFolder/app_name
 */
/**
 * PlankServicesPaths:AppDataFolder:
 * 
 * defaults to DataHomeFolder/app_name
 */
/**
 * plank_services_paths_get_AppDataFolder:
 * @self: the <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankServicesPaths--AppDataFolder"><type>"AppDataFolder"</type></link> property.
 * 
 * defaults to DataHomeFolder/app_name
 * 
 * Returns: the value of the <link linkend="PlankServicesPaths--AppDataFolder"><type>"AppDataFolder"</type></link> property
 */
/**
 * plank_services_paths_set_AppDataFolder:
 * @self: the <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankServicesPaths--AppDataFolder"><type>"AppDataFolder"</type></link> property
 * 
 * Set the value of the <link linkend="PlankServicesPaths--AppDataFolder"><type>"AppDataFolder"</type></link> property to @value.
 * 
 * defaults to DataHomeFolder/app_name
 */
/**
 * PlankServicesPaths:AppThemeFolder:
 * 
 * defaults to AppDataFolder/themes
 */
/**
 * plank_services_paths_get_AppThemeFolder:
 * @self: the <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankServicesPaths--AppThemeFolder"><type>"AppThemeFolder"</type></link> property.
 * 
 * defaults to AppDataFolder/themes
 * 
 * Returns: the value of the <link linkend="PlankServicesPaths--AppThemeFolder"><type>"AppThemeFolder"</type></link> property
 */
/**
 * plank_services_paths_set_AppThemeFolder:
 * @self: the <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankServicesPaths--AppThemeFolder"><type>"AppThemeFolder"</type></link> property
 * 
 * Set the value of the <link linkend="PlankServicesPaths--AppThemeFolder"><type>"AppThemeFolder"</type></link> property to @value.
 * 
 * defaults to AppDataFolder/themes
 */
/**
 * PlankServicesPaths:AppCacheFolder:
 * 
 * defaults to CacheHomeFolder/app_name
 */
/**
 * plank_services_paths_get_AppCacheFolder:
 * @self: the <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="PlankServicesPaths--AppCacheFolder"><type>"AppCacheFolder"</type></link> property.
 * 
 * defaults to CacheHomeFolder/app_name
 * 
 * Returns: the value of the <link linkend="PlankServicesPaths--AppCacheFolder"><type>"AppCacheFolder"</type></link> property
 */
/**
 * plank_services_paths_set_AppCacheFolder:
 * @self: the <link linkend="PlankServicesPaths"><type>PlankServicesPaths</type></link> instance to modify
 * @value: the new value of the <link linkend="PlankServicesPaths--AppCacheFolder"><type>"AppCacheFolder"</type></link> property
 * 
 * Set the value of the <link linkend="PlankServicesPaths--AppCacheFolder"><type>"AppCacheFolder"</type></link> property to @value.
 * 
 * defaults to CacheHomeFolder/app_name
 */
/**
 * plank_services_paths_initialize:
 * @app_name: (in): &nbsp;.  the name of the application 
 * @data_folder: (in): &nbsp;.  the path to the application&apos;s data folder 
 * 
 * Initialize the class, creating the <link linkend="GFile"><type>GFile</type></link> instances for all common paths. Also ensure that any writable directory exists.
 */
/**
 * plank_services_paths_ensure_directory_exists:
 * @dir: (in): &nbsp;.  the directory to ensure exists 
 * 
 * Creates the directory if it does not already exist
 * 
 * Returns: true if a directory was created, false otherwise 
 */
/**
 * PlankServicesPaths:
 * 
 * A wrapper class that gives static instances of <link linkend="GFile"><type>GFile</type></link> for commonly used paths. Most paths are retrieved from GLib.Environment, which on Linux uses the XDG Base Directory specification (see <ulink url="http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html"></ulink>).
 * 
 * <para>Initializing this class also ensures any writable directories exist.</para>
 */
/**
 * PlankServicesPathsClass:
 * @parent_class: the parent class structure
 * 
 * The class structure for <link linkend="PLANK-SERVICES-TYPE-PATHS:CAPS"><literal>PLANK_SERVICES_TYPE_PATHS</literal></link>. All the fields in this structure are private and should never be accessed directly.
 */
